org.apache.lucene.analysis.miscellaneous

## Class Lucene43KeepWordFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.util.Lucene43FilteringTokenFilter
        - - org.apache.lucene.analysis.miscellaneous.Lucene43KeepWordFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  Use `KeepWordFilter`

      @Deprecated
      public final class Lucene43KeepWordFilter
      extends Lucene43FilteringTokenFilter

  Backcompat for KeepWordFilter for versions 4.3 and before.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene43KeepWordFilter(boolean enablePositionIncrements, TokenStream in, CharArraySet words)` Deprecated. The words set passed to this constructor will be directly used by this filter and should not be modified,

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept()` Deprecated. Override this method and return if the current input token should be returned by `Lucene43FilteringTokenFilter.incrementToken()`.

    - ### Methods inherited from class org.apache.lucene.analysis.util.Lucene43FilteringTokenFilter

      `incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene43KeepWordFilter

          public Lucene43KeepWordFilter(boolean enablePositionIncrements,
                                TokenStream in,
                                CharArraySet words)

      Deprecated.
      The words set passed to this constructor will be directly used by this filter and should not be modified,

  - ### Method Detail

    - #### accept

          public boolean accept()

      Deprecated.
      Description copied from class: `Lucene43FilteringTokenFilter`
      Override this method and return if the current input token should be returned by `Lucene43FilteringTokenFilter.incrementToken()`.
      Specified by:
        `accept` in class `Lucene43FilteringTokenFilter`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.